Subject: Re: bug#32521: coreutils timeout in a bash script not transparent for the application

From: Paul Eggert <[email-masked]>
Date: Fri, 24 Aug 2018 13:04:20 -0700

Rafal Jankowski wrote:
> https://stackoverflow.com/questions/52008104/coreutils-timeout-in-a-bash-script-not-transparent-for-the-application
> 
> I have not done enough investigation to claim this is a true timeout bug
> but I'm wondering if you could advise on this issue?

I can't reproduce the bug on Fedora 28. I don't have fabric.api installed, but 
when my Python program looked like this:

#!/usr/bin/python
import time
time.sleep (20)

the output of the script was RETCODE=124 as expected, and when the Python 
program looked like this:

#!/usr/bin/python
import time
time.sleep (5)

the exit status was 0 as expected.

Perhaps the problem is within fabric.api.